Bug 32865 - On MasterDetailPage trying to change Icon of Master page doesn't work if another view is pushed and Image is renderer in blue
Summary: On MasterDetailPage trying to change Icon of Master page doesn't work if anot...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.5.0
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-08-07 11:10 UTC by Davide
Modified: 2017-07-14 08:03 UTC (History)
9 users (show)

See Also:
Tags: ac masterdetailpage iOS android
Is this bug a regression?: ---
Last known good build:


Attachments
Click on button goto3 to push a new view then try to change the icon and go back.It doesn't change (169.48 KB, application/octet-stream)
2015-08-07 11:10 UTC, Davide
Details

Description Davide 2015-08-07 11:10:12 UTC
Created attachment 12412 [details]
Click on button goto3 to push a new view then try to change the icon and go back.It doesn't change

Hi, I'm writing this because of some issues after you solved this bug https://bugzilla.xamarin.com/show_bug.cgi?id=31664.
There are 2 problems that I noticed:
- The Icon is always rendered in blue, is there any way to have it in it's native color?
- If I try to change the Icon in the master Page, if there is another page in the stack the Icon doesn't change at all.
Obviously I'm using Xamarin Forms 1.5.0 pre-1....
Comment 1 Udham Singh 2015-08-07 12:22:19 UTC
I have checked this issue and I am able to reproduce this issue.

CASE 1: 
>The Icon is always rendered in blue, is there any way to have it in it's native color?

As @Rui mentioned here:  https://bugzilla.xamarin.com/show_bug.cgi?id=31664#c14.
 "That's the default tint color, you can change it by setting  BarTextColor on your  NavigationPage"

CASE2:  
> If I try to change the Icon in the master Page, if there is another page in the stack the Icon doesn't change at all.

Observation: I have checked this issue and with the help of attached project, I am able to reproduce CASE 2.  I am getting this behavior only with iOS, it is working fine with android.

Screencast: http://www.screencast.com/t/vVJM6VatKuFS
IDE logs:  https://gist.github.com/RamChBachkheti/569fdf9f6cd09d155d92

Environment Info:

Xamarin.Forms:  1.5.0 .6396- pre-1

=== Xamarin Studio ===

Version 5.9.5 (build 9)
Installation UUID: 6ea47b0d-1852-4aaf-808d-373ff0a5002b
Runtime:
	Mono 4.0.3 ((detached/d6946b4)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 400030020

=== Xamarin.Android ===

Version: 5.1.3.1 (Business Edition)
Android SDK: /Users/jatin66/Desktop/Backup/android-sdk-macosx
	Supported Android versions:
		2.3    (API level 10)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.3    (API level 18)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
Java SDK: /usr
java version "1.7.0_65"
Java(TM) SE Runtime Environment (build 1.7.0_65-b17)
Java HotSpot(TM) 64-Bit Server VM (build 24.65-b04, mixed mode)

=== Xamarin Android Player ===

Version: Unknown version
Location: /Applications/Xamarin Android Player.app

=== Apple Developer Tools ===

Xcode 6.4 (7720)
Build 6E35b

=== Xamarin.iOS ===

Version: 8.10.4.45 (Business Edition)
Hash: b94bc00
Branch: master
Build date: 2015-08-04 15:26:49-0400

=== Xamarin.Mac ===

Version: 2.0.2.35 (Business Edition)

=== Build Information ===

Release ID: 509050009
Git revision: b99cb19a1d3b15d8980c4616f13f837457e5b292
Build date: 2015-07-28 02:01:44-04
Xamarin addins: d53d6eceb828422f3d4aff8547f2f6bab6c9ea58

=== Operating System ===

Mac OS X 10.10.3
Darwin Dalvik.local 14.3.0 Darwin Kernel Version 14.3.0
    Mon Mar 23 11:59:05 PDT 2015
    root:xnu-2782.20.48~5/RELEASE_X86_64 x86_64
Comment 2 Davide 2015-08-07 12:25:28 UTC
For case 1 it change the color of the title too.. I expect to have the image rendered "as it is"  no?
Comment 3 Davide 2015-09-14 04:36:00 UTC
HI, Is there any news about this bug? Also what about the color of the Icon ? 
"That's the default tint color, you can change it by setting  BarTextColor on
your  NavigationPage" -> it also changed the color of the Title.. It's not the behaviour that I want.
Comment 4 adrianknight89 2016-12-05 06:28:32 UTC
See https://github.com/xamarin/Xamarin.Forms/pull/608
Comment 5 Rui Marinho 2017-02-15 11:45:43 UTC
Should be fixed in 2.3.5-pre1
Comment 6 Pratik Lad 2017-07-04 09:55:51 UTC
Hi,

Using attached sample , Unable to get link in app on simulator.As shown in screencast, can any one help me on this. May be i am missing some thing or is it a sample issue.

Screencast - https://www.screencast.com/t/tsDtBR7uS0

gist link- https://gist.github.com/saurabh-paunikar/1a1a3e8143899b7b2ea9f8eedef4478d
Comment 7 Saurabh Paunikar 2017-07-14 08:03:26 UTC
Verified on xamarin.form version 2.3.5.256-pre6

Screencast Link : https://www.screencast.com/t/YWmPWwVYV

Note You need to log in before you can comment on or make changes to this bug.